MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030068Open CASCADE[OCCT] OCCT:Documentationpublic2018-08-15 18:172018-09-03 16:54
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030068: Documentation - V3d_View::ToPixMap() description should clarify that method will redraw the View content before dump
DescriptionIt seems that it is not obvious that V3d_View::ToPixMap() always performs redraw of View content for creating an image dump.

Hence, it would be helpful adding such a notice to avoid confusion (user may have an impression, that method just copies View content as is, like making an image screenshot of a window).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0078639)
git (administrator)
2018-08-15 21:09

Branch CR30068 has been created by kgv.

SHA-1: f52051fe6d91bc86359fcad45ea5347daa7c78bc


Detailed log of new commits:

Author: kgv
Date: Wed Aug 15 21:08:00 2018 +0300

    0030068: Documentation - V3d_View::ToPixMap() description should clarify that method will redraw the View content before dump
(0078640)
kgv (developer)
2018-08-15 21:10

Patch is ready for review.
(0078659)
san (developer)
2018-08-16 18:05

Branch CR30068 reviewed without remarks.
(0078779)
git (administrator)
2018-08-26 17:43

Branch CR30068 has been deleted by inv.

SHA-1: f52051fe6d91bc86359fcad45ea5347daa7c78bc

- Related Changesets
occt: master 23826183
Timestamp: 2018-08-15 18:08:00
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030068: Documentation - V3d_View::ToPixMap() description should clarify that method will redraw the View content before dump
mod - src/V3d/V3d_View.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-08-15 18:17 kgv New Issue
2018-08-15 18:17 kgv Assigned To => kgv
2018-08-15 21:09 git Note Added: 0078639
2018-08-15 21:10 kgv Note Added: 0078640
2018-08-15 21:10 kgv Assigned To kgv => san
2018-08-15 21:10 kgv Severity minor => integration request
2018-08-15 21:10 kgv Status new => resolved
2018-08-16 18:05 san Note Added: 0078659
2018-08-16 18:05 san Assigned To san => bugmaster
2018-08-16 18:05 san Status resolved => reviewed
2018-08-20 18:25 bugmaster Status reviewed => tested
2018-08-26 17:36 bugmaster Changeset attached => occt master 23826183
2018-08-26 17:36 bugmaster Status tested => verified
2018-08-26 17:36 bugmaster Resolution open => fixed
2018-08-26 17:43 git Note Added: 0078779
2018-09-03 16:54 bugmaster Test case number => Not needed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker